package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 公司配置消息类
 *
 * @author 张崧
 * 2024-01-24 15:58:30
 */
@TableName(value = "es_msg_config", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MsgCompanyConfig extends BaseDO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 消息id
     */
    private Long msgId;


    /**
     * 消息id
     */
    private String msgCode;

    public MsgCompanyConfig(Long companyId, Long msgId, String msgCode) {
        this.companyId = companyId;
        this.msgId = msgId;
        this.msgCode = msgCode;
    }
}
