package com.hys.app.model.erp.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.model.erp.enums.MsgTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 订单 DO
 *
 * @author 张崧
 * 2024-01-24 15:58:30
 */

@Data
public class MsgConfigDTO {

    /**
     * 上级路径
     */
    private Long parentId;
    /**
     * 标签
     */
    @ApiModelProperty("名称")
    @NotNull(message = "名称不能为空")
    private String title;
    /**
     * 类型
     */
    @ApiModelProperty("类型")
    @NotNull(message = "类型不能为空")
    private MsgTypeEnum type;
    /**
     * 申请的模板标签
     */
    @ApiModelProperty("模板code")
    @NotBlank(message = "模板code不能为空")
    private String templateCode;
    /**
     * 自定义标识
     */
    @ApiModelProperty("自定义标识")
    @NotBlank(message = "自定义标识不能为空")
    private String code;
}
