package com.hys.app.model.erp.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 公司表
 */
@Getter
@Setter
public class CompanyRenewDO {
    /**
     * 使用截止时间
     */
    @ApiModelProperty("使用截止时间")
    @NotNull(message = "使用截止时间不能为空")
    private LocalDateTime endUseTime;
    /**
     * 最大创建账号数
     */
    @ApiModelProperty("最大创建账号数")
    @NotNull(message = "最大创建账号数不能为空")
    private Integer userNum;
    /**
     * 付款金额
     */
    @ApiModelProperty("购买金额")
    @NotNull(message = "购买金额不能为空")
    private BigDecimal thisMoney;
    /**
     * 权限id
     */
    @ApiModelProperty("套餐id")
    @NotNull(message = "套餐不能为空")
    private Integer roleId;
}
