package com.hys.app.service.erp;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.entity.*;
import com.hys.app.model.system.dos.SmsMailTemplate;
import com.hys.app.model.system.dto.SmsMailTemplateDTO;
import com.hys.app.model.system.vo.SmsMailTemplateQuery;
import com.hys.app.model.system.vo.SmsMailTemplateVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * 部门 Service 接口
 */
public interface SmsMailManager extends BaseService<SmsMailTemplate> {
    /**
     * 新增模板
     *
     * @param smsMailTemplateDTO
     * @return
     */
    Long createTemplate(SmsMailTemplateDTO smsMailTemplateDTO);

    /**
     * 修改模板
     *
     * @param smsMailTemplateDTO
     * @param id
     * @return
     */
    Long updateTemplate(SmsMailTemplateDTO smsMailTemplateDTO, Long id);

    /**
     * 模板分页
     *
     * @param query
     * @return
     */
    IPage<SmsMailTemplateVO> queryTemplate(SmsMailTemplateQuery query);

    /**
     * 删除模板
     *
     * @param id
     * @return
     */
    void delete(Long id);
}
